FROM node:18-alpine3.15 as builder
WORKDIR /front
COPY  /Frontend/ClientApp/ /front
RUN npm install
RUN npm audit fix --force
RUN npm run build
ENV ASPNETCORE_HTTPS_PORT=5146


FROM nginx:1.21.6-alpine

COPY ./default.conf /etc/nginx/conf.d/default.conf

COPY --from=builder /front/dist/ /usr/share/nginx/site/dist
COPY --from=builder /front/node_modules/ /usr/share/nginx/site/node_modules

EXPOSE 4200
CMD [ "nginx" , "-g" , "daemon off;"]